package com.docus.server.sys.service;

import com.docus.server.sys.common.pojo.dto.UserDTO;
import com.docus.server.sys.common.pojo.entity.PowerUser;

import java.util.Collection;
import java.util.List;

/**
 * 用户服务
 */
public interface IPowerUserService {
    /**
     * 用户注册
     *
     * @param userDTO 用户注册参数
     * @return 处理结果
     */
    boolean insertOrUpdatePowerUser(UserDTO userDTO);

    /**
     * 根据用户工号删除用户
     *
     * @param userName 用户工号
     * @return 删除结果
     */
    boolean delUserByUserName(String userName);

    /**
     * 批量保存
     *
     * @param users
     */
    void batchInsertOrUpdatePowerUser(List<UserDTO> users);

    /**
     * 根据username查询用户信息
     *
     * @param userName 用户名
     * @return
     */
    PowerUser findByUserName(String userName);

    /**
     * 根据userNames查询用户信息
     *
     * @param userNames 用户名
     * @return
     */
    List<PowerUser> findByUserNameList(Collection<Object> userNames);
}
